com.sun.tdk.specdiff.html

## Class DifferFilter

- java.lang.Object
- - com.sun.tdk.specdiff.html.DifferFilter

-     public class DifferFilter
      extends java.lang.Object

  Allows to filter out Node(s) in HTMLDiffer An instance of this class can be passed to HTMLDiffer as a parameter
  See Also:
    `HTMLDiffer`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.util.logging.Logger` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DifferFilter()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.compare.rangedifferencer.RangeDifference` | `compareText(org.outerj.daisy.diff.html.TextNodeComparator leftComparator, org.outerj.daisy.diff.html.TextNodeComparator rightComparator, org.eclipse.compare.rangedifferencer.RangeDifference d)` Compares two texts.
    `protected boolean` | `isComparable(org.outerj.daisy.diff.html.dom.TextNode n)`
    `static boolean` | `isEmpty(java.lang.String s)` Checks the string for emptiness.
    `boolean` | `onDelete(org.outerj.daisy.diff.html.dom.Node deletedNode)` Called from HTMLDiffer#markAsDeleted
    `boolean` | `onNew(org.outerj.daisy.diff.html.dom.TextNode newNode)` Called from HTMLDiffer#markAsNew
    `static java.lang.String` | `stripSpaces(java.lang.String s)` Removes white spaces (including HTML entity)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final java.util.logging.Logger LOG

  - ### Constructor Detail

    - #### DifferFilter

          public DifferFilter()

  - ### Method Detail

    - #### compareText

          public org.eclipse.compare.rangedifferencer.RangeDifference compareText(org.outerj.daisy.diff.html.TextNodeComparator leftComparator,
                                                                                  org.outerj.daisy.diff.html.TextNodeComparator rightComparator,
                                                                                  org.eclipse.compare.rangedifferencer.RangeDifference d)

      Compares two texts.
      Returns:
        RangeDifference new instance if parts of the texts are the same, otherwise `d`

    - #### onDelete

          public boolean onDelete(org.outerj.daisy.diff.html.dom.Node deletedNode)

      Called from HTMLDiffer#markAsDeleted
      Returns:
        false - if node should be skipped

    - #### onNew

          public boolean onNew(org.outerj.daisy.diff.html.dom.TextNode newNode)

      Called from HTMLDiffer#markAsNew
      Returns:
        false - if node should be skipped

    - #### isEmpty

          public static boolean isEmpty(java.lang.String s)

      Checks the string for emptiness.

    - #### stripSpaces

          public static java.lang.String stripSpaces(java.lang.String s)

      Removes white spaces (including HTML entity)

    - #### isComparable

          protected boolean isComparable(org.outerj.daisy.diff.html.dom.TextNode n)